LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (https://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   kernel 2.4.26, radeon 9800, no direct rendering (https://www.linuxquestions.org/questions/linux-hardware-18/kernel-2-4-26-radeon-9800-no-direct-rendering-260400/)

true_atlantis 11-29-2004 02:39 AM

kernel 2.4.26, radeon 9800, no direct rendering
 
first, if anyone has gotten this to work, could they post their xorg.conf file? well, i have the ATI module installed, and my video card is recognized, but i can not get direct rendering/3d acceleration to work. i get <100fps with glxgears, and get an error with fgl_glxgears.

atlantis:~ $ fgl_glxgears
X Error of failed request: BadMatch (invalid parameter attributes)
Major opcode of failed request: 143 (GLX)
Minor opcode of failed request: 5 (X_GLXMakeCurrent)
Serial number of failed request: 31
Current serial number in output stream: 31

here is the info from glxinfo

atlantis:~ $ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_SGI_make_current_read, GLX_SGIS_multisample
client glx vendor string: ATI
client glx version string: 1.3
client glx extensions:
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_ATI_pixel_format_float,
GLX_ATI_render_texture
GLX extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.4 Mesa 5.0.2)
OpenGL extensions:
GL_ARB_imaging, GL_ARB_multitexture, GL_ARB_texture_border_clamp,
GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
GL_ARB_texture_env_combine, GL_ARB_texture_env_dot3,
GL_ARB_transpose_matrix, GL_EXT_abgr, GL_EXT_blend_color,
GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_texture_env_add,
GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
GL_EXT_texture_lod_bias
glu version: 1.3
glu extensions:
GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
----------------------------------------------------------------------
0x23 24 tc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 1 0 None
0x24 24 tc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 1 0 None
0x25 24 tc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x26 24 tc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x27 24 dc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 1 0 None
0x28 24 dc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 1 0 None
0x29 24 dc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 1 0 None
0x2a 24 dc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 1 0 None

motovoi 11-29-2004 08:02 AM

Hello,
If you want 3D Accel just install new drivers from ATI website and run the provided configuration tool.

I've my Radeon Mobility 9700 working fine with it but I still have some mouse issues to solve.
After install it the mouse has a wierd behaviour in resizable windows when they are placed at position Y=0 of the screen when the mouse pointer switches to resize icon. The mouse jumps forward and a backward and I still dont get why.

Maybe you'll be more lucky than I, install and try.
I'm actualy using it despite the mouse issue.

Regards

true_atlantis 11-29-2004 01:09 PM

that is my whole problem... the ati driver is not working... i get no 3d accel...

captainkrypto 12-22-2004 06:41 PM

I had the same problem....

you are not using the correct libraries:

Quote:

server glx vendor string: SGI
You need to change the symbolic links to point to the correct libraries:

lrwxrwxrwx 1 root root 17 Dec 20 19:59 /usr/lib/libGL.so.1 -> libGL.so.1.0.6629
lrwxrwxrwx 1 root root 26 Dec 22 18:42 /usr/X11R6/lib/libGL.so.1 -> /usr/lib/libGL.so.1.0.6629

Hope that helps.

Trel.Nadal 03-06-2005 03:51 AM

and, who would one have to strangle to get the proper libs? =D i'm having the same problem,, only there's nothing else to sym to.


All times are GMT -5. The time now is 02:41 PM.